import { MatrixEvent, Room, MatrixClient } from "matrix-js-sdk/src/matrix";
export default class Resend {
    static resendUnsentEvents(room: Room): Promise<void[]>;
    static cancelUnsentEvents(room: Room): void;
    static resend(client: MatrixClient, event: MatrixEvent): Promise<void>;
    static removeFromQueue(client: MatrixClient, event: MatrixEvent): void;
}
